﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;

namespace sale
{
    public static class myClass
    {
        #region загрузка и ожидание страницы
        //загрузка и ожидание страницы--------------------------------------------------------
        public static Tab Navigate_And_Wait(this Tab tab, string url, string referer = "")
        {
            tab.Navigate(url, referer);
            if (tab.IsBusy) tab.WaitDownloading();
            return tab;
        }
        //загрузка и ожидание страницы--------------------------------------------------------
        #endregion

        #region поиск элемента xpath
        //поиск элемента xpath-----------------------------------------------------------
        public static HtmlElement Find_Xpath(this Tab tab, string xpath, int number = 0)
        {
            return tab.FindElementByXPath(xpath, number);
        }
        //поиск элемента xpath----------------------------------------------------------- 
        #endregion
        #region исключения если нет объеукта
        public static HtmlElement ThrowIfNull(this HtmlElement he,
                                       string exceptionMessage = "HtmlElement не найден (IsVoid).")
        {
            if (he.IsVoid)
            {
                throw new Exception(exceptionMessage);
            }
            return he;
        }
        #endregion


        #region инфо в проджект и зенку
        //инфо в проджект и зенку---------------------------------------------
        public static IZennoPosterProjectModel Debug(this IZennoPosterProjectModel project, string message, bool showInPoster = false)
        {
            project.SendInfoToLog(message, showInPoster);
            return project;
        }
        public static IZennoPosterProjectModel Info(this IZennoPosterProjectModel project, string message, bool showInPoster = true)
        {
            project.SendInfoToLog(message, showInPoster);
            return project;
        }
        public static IZennoPosterProjectModel Warning(this IZennoPosterProjectModel project, string message, bool showInPoster = true)
        {
            project.SendWarningToLog(message, showInPoster);
            return project;
        }
        public static IZennoPosterProjectModel Error(this IZennoPosterProjectModel project, string message, bool showInPoster = true)
        {
            project.SendErrorToLog(message, showInPoster);
            return project;
        }
        //инфо в проджект и зенку---------------------------------------------

        #endregion



    }
}
